Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
lemanhhung0302

Cách Sử Dụng Array Mới Trong Autocad Với Lisp

Các bài được khuyến nghị

Kể từ phiên bản AutoCAD 2012, hãng AutoDESK đã giới thiệu loại Array với rất nhiều cải tiến.
 
Tuy nhiên, dường như sự phức tạp trong việc lệnh Array cũng tỉ lệ thuận với tính năng của Array mới này.
 
Trong clip dưới đây, người viết muốn giới thiệu với bạn:

  • Lệnh ARRAYCLASSIC (hay ARRAY trong các phiên bản cũ)
  • Lệnh ARRAY trong phiên bản mới 2012 2013 2014 2015 2016 2017...
  • Đặc biệt, lệnh AR được viết lại cho dễ sử dụng hơn. Bạn không cần quan tâm nhiều đến các thông số Columns, Rows, ... . Chỉ cần chọn đối tượng, xác định khoảng cách, là bạn đã có một Array vô cùng tiện lợi.


 
(defun c:ar ( / ss p1 p2 therows thecols drows dcols)
	(vl-load-com)
	(setq ss (ssget "_:L"))
	(setq p1 (getpoint " Specify first point: "))
	(setq p2 (getpoint p1 " Specify second point: "))
	(if (and p1 p2)
		(progn
			(if (= (car p1) (car p2))
				(setq therows 2 thecols 1 drows (- (cadr p2) (cadr p1)) dcols (- (cadr p2) (cadr p1)))
				(if (= (cadr p1) (cadr p2))
					(setq therows 1 thecols 2 drows (- (car p2) (car p1)) dcols (- (car p2) (car p1)))
					(setq therows 2 thecols 2 drows (- (cadr p2) (cadr p1)) dcols (- (car p2) (car p1)))
				)
			)
			(vla-sendcommand
				(vla-get-activedocument (vlax-get-acad-object))
				(strcat "array\rp\r\rR\rROW\r" (itoa therows) "\n" (rtos drows 2 10) "\n\nCOL\r" (itoa thecols) "\r" (rtos dcols 2 10) "\r\r")
			)
		)
	)
	(princ "\nwww.tankhanh.com.vn")
	(princ)
)

 
 
http://www.cadviet.com/upfiles/5/9989_ar.lsp

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Rất sáng tạo. Tks bạn đã chia sẻ. Tuy nhiên nó đã bỏ qua rất nhiều công dụng của Array

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×